summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: ebda28b)
raw | patch | inline | side by side (parent: ebda28b)
author | Ævar Arnfjörð Bjarmason <avarab@gmail.com> | |
Tue, 14 Sep 2010 12:17:01 +0000 (12:17 +0000) | ||
committer | Ævar Arnfjörð Bjarmason <avarab@gmail.com> | |
Sat, 30 Oct 2010 07:58:26 +0000 (07:58 +0000) |
Gettextize bisect_replay messages that use the $1 variable. Since it's
subroutine local we have to provide an alias for it for eval_gettext.
Since I was doing that anyway I've changed all other uses of $1
variable to use the alias variable for clarity.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
subroutine local we have to provide an alias for it for eval_gettext.
Since I was doing that anyway I've changed all other uses of $1
variable to use the alias variable for clarity.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
git-bisect.sh | patch | blob | history |
diff --git a/git-bisect.sh b/git-bisect.sh
index 64c6b81da70c5aa88e6cf4b91dca818eca9b43b8..f3162d61b6b9d5e7da90340446ffb0e1bddca31f 100755 (executable)
--- a/git-bisect.sh
+++ b/git-bisect.sh
}
bisect_replay () {
- test -r "$1" || die "cannot read $1 for replaying"
+ file="$1"
+ test -r "$file" || die "$(eval_gettext "cannot read \$file for replaying")"
bisect_reset
while read git bisect command rev
do
*)
die "$(gettext "?? what are you talking about?")" ;;
esac
- done <"$1"
+ done <"$file"
bisect_auto_next
}